--- gcc/libgomp/configure
+++ gcc/libgomp/configure
@@ -3771,7 +3771,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/gcc/config/cris/linux.h
+++ gcc/gcc/config/cris/linux.h
@@ -74,7 +74,11 @@
 #define CRIS_DEFAULT_CPU_VERSION CRIS_CPU_NG
 
 #undef CRIS_SUBTARGET_VERSION
-#define CRIS_SUBTARGET_VERSION " - cris-axis-linux-gnu"
+#if UCLIBC_DEFAULT
+# define CRIS_SUBTARGET_VERSION " - cris-axis-linux-uclibc"
+#else
+# define CRIS_SUBTARGET_VERSION " - cris-axis-linux-gnu"
+#endif
 
 #define GLIBC_DYNAMIC_LINKER "/lib/ld.so.1"
 
--- gcc/libstdc++-v3/configure
+++ gcc/libstdc++-v3/configure
@@ -4276,7 +4276,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/zlib/configure
+++ gcc/zlib/configure
@@ -3422,7 +3422,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/libobjc/configure
+++ gcc/libobjc/configure
@@ -3309,7 +3309,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/libgfortran/configure
+++ gcc/libgfortran/configure
@@ -3695,7 +3695,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/libmudflap/configure
+++ gcc/libmudflap/configure
@@ -5378,7 +5378,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/boehm-gc/configure
+++ gcc/boehm-gc/configure
@@ -4316,7 +4316,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/libffi/configure
+++ gcc/libffi/configure
@@ -3453,7 +3453,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/libssp/configure
+++ gcc/libssp/configure
@@ -4409,7 +4409,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/contrib/regression/objs-gcc.sh
+++ gcc/contrib/regression/objs-gcc.sh
@@ -105,6 +105,10 @@
  then
   make all-gdb all-dejagnu all-ld || exit 1
   make install-gdb install-dejagnu install-ld || exit 1
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
+ then
+  make all-gdb all-dejagnu all-ld || exit 1
+  make install-gdb install-dejagnu install-ld || exit 1
 elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
   make bootstrap || exit 1
   make install || exit 1
--- gcc/libjava/classpath/ltconfig
+++ gcc/libjava/classpath/ltconfig
@@ -603,7 +603,7 @@
 
 # Transform linux* to *-*-linux-gnu*, to support old configure scripts.
 case $host_os in
-linux-gnu*) ;;
+linux-gnu*|linux-uclibc*) ;;
 linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
 esac
 
@@ -1251,7 +1251,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
--- gcc/libjava/classpath/configure
+++ gcc/libjava/classpath/configure
@@ -4665,7 +4665,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/libjava/configure
+++ gcc/libjava/configure
@@ -5212,7 +5212,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/libtool.m4
+++ gcc/libtool.m4
@@ -739,7 +739,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
--- gcc/ltconfig
+++ gcc/ltconfig
@@ -603,7 +603,7 @@
 
 # Transform linux* to *-*-linux-gnu*, to support old configure scripts.
 case $host_os in
-linux-gnu*) ;;
+linux-gnu*|linux-uclibc*) ;;
 linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
 esac
 
@@ -1251,7 +1251,7 @@
   ;;
 
 # This must be Linux ELF.
-linux-gnu*)
+linux*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
